Sliders

Make content sliders in Joomla!

  • Last updated: 23-May-2018
  • Version: 7.5.0
  • Types: System plugin Editor button plugin
  • Joomla rating: 100%
Joomla rating: 100%

Do you like Sliders?

Rate it!

Frequently Asked Questions about Sliders

The {slider} tags are not being converted

The Sliders plugin is not published

Check if the Sliders plugin is published. Go to Extensions >> Plugin manager and search for the system plugin System - Regular Labs - Sliders. Then publish it.

There is markup on the {slider} tags

It is fine to give styles to the titles within the {slider} tags, like: {slider My Title}
But giving styles to other parts of the tag, or the entire tag, can cause problems, like: {slider My Title}

If you have copy/pasted code directly into your editor, you might also have copied along hidden HTML tags. So this will also cause the {slider} tags to break:

{<span>slider</span> ...}

Remove the extra styling or other html tags around and in the {slider} tags that might cause problems.

Sliders are not working on all browsers

There are javascript errors

Javascript errors might and usually will cause the sliders to disfunction. You probably have a Mootools or jQuery conflict on your site. This often happens if multiple Mootools or jQuery scripts are loaded.

Take a look in the sites output html (ctrl-u) to check this.

For more details about the javascript error(s), you can use Firefox with the Web Developer Toolbar, Inspect Element console in Chrome, or any other browser with a javascript debugger.

Sliders are not working on Internet Explorer (but are working on other browsers)

There are problems in the html output structure of your website

Internet Explorer is pretty picky when it comes to html. It will not handle invalid markup gracefully.

Check if you have unclosed html tags in your content (see the html view in your editor), like divs or spans that have no closing tag, or lost closing tags without opening tag.

You can check your page for html errors on: http://validator.w3.org

Sliders with special characters are not working

You probably have a plugin installed that tries to optimize your html.

Extensions like 'RokBooster' and 'Content Optimizer' try to fix issues in your html. However they also mess around with the urls.

The thing that causes the issue s that these extensions url-encode special characters in urls. This is not good, seeing nowadays urls with special characters are and should be no problem.

So you will have to disable/uninstall these extensions to be able to use special characters in Sliders.

Another solution is to give the slider an alias without special characters, like:

{slider title="Ṩῥἕcịᾳḻ ḈĦẚrḯḉṯɇṛş" alias="special-characters"}

The slider title is showing in the content area

The title is also placed at the top of the content, but hidden. This is done for SEO purposes and to accompany the responsive view feature in the Pro version.

If you are using custom css styling, then your stylesheet probably doesn't have the css to hide the heading yet.

Simply add this css to your stylesheet:

.rl_sliders-title {
	display: none;
}

Installation

How can I install/upgrade Sliders?

You can either install Sliders by using the core extension manager available in the Joomla! Administrator Control Panel, or by using the powerful Regular Labs Extension Manager.

Note: When updating Sliders, you do not need to uninstall it first. The package will update all the files automatically.

Keep in mind that when you update to a major new version (or uninstall first), you might lose some configuration settings.

Sliders won't install...

If you have problems installing Sliders, please try the manual installation process as described here: docs.joomla.org/Installing_an_extension

How can I uninstall Sliders?

You can either uninstall Sliders by using the core extension manager available in the Joomla! Administrator Control Panel, or by using the powerful Regular Labs Extension Manager.

If you no longer use any Regular Labs extensions, you can also uninstall the Regular Labs Library plugin by using the Joomla! core extension manager.

What are the minimum requirements?

Sliders will only work correctly if your setup meets these requirements:

  • Up-to-date version of Joomla:
    • Joomla 3.7.0 or higher
  • PHP 5.4 or higher
  • MySQL 5 or higher

Important: I can only provide support for setups that:

  • meet the above requirements;
  • do not have extension files or Joomla! core files which have been altered in any way.

Where can I download earlier versions?

You have access to all previous free versions of all extensions on this website.

If you have a subscription to an extension, you can also download any previous pro version of that extension.

If you do not have a valid subscription, you can download any pro version that is older than 1 year.

You can find old versions in the changelog.

Note: Please note that I am unable to provide support on old versions! (whether you have a subscription or not).

How can I downgrade to an earlier version of Sliders?

If for some reason you need to install an older version, it is best to uninstall the extension first.

You will also have to uninstall the Regular Labs Library system plugin.

After that you can simply install the older version zip file using the Joomla! installer.

Note: Please note that I am unable to provide support on old versions!

How can I upgrade from Joomla 2.5 to Joomla 3?

The upgrade of Joomla itself is a one-click process. But that just takes care of Joomla.

Many templates and extensions will not work the same or at all after upgrading to Joomla 3.

I personally advise against using the built-in upgrade process, and advise starting from scratch by installing a fresh copy of Joomla 3.

If you do want to upgrade Joomla 2.5 to Joomla 3, you will need to do this with regards to the Regular Labs extensions you have installed:

  1. Disable or uninstall all Regular Labs extensions.
    (Uninstalling Regular Labs extensions will make you lose any global configuration settings for that extension. You will not lose any saved items)
  2. Upgrade Joomla 2.5 to Joomla 3.
  3. Re-install all Regular Labs extensions you want installed.

For a detailed step-by-step migration process, see: https://docs.joomla.org/Joomla_2.5_to_3.x_Step_by_Step_Migration

Licensing

Under what license are Regular Labs extensions released?

All free and paid Regular Labs extensions are released under the Open Source GNU GPL v2.0 license.

See the Terms & Conditions for additional terms.

Regular Labs Library

What is the Regular Labs Library?

The Regular Labs Library is a Joomla! library and system plugin that is installed along with every Regular Labs extension.

This plugin contains all the common functions and language strings that the Regular Labs extensions use.

If you use any Regular Labs extensions, this plugin must be installed and published. They will not function correctly or they will not function at all without it.

Do I still need the NoNumber Framework plugin?

The NoNumber Framework has been replaced with the Regular Labs Library.

It is however not possible for my installer to check if a user has any custom code (in custom extensions, overrides or templates) that is using and relying on functionality from the NoNumber Framework.
This is the reason the NoNumber Framework does not get uninstalled automatically.

The NoNumber Framework can safely be uninstalled if your do not have any custom code using it.

More Questions

I cannot find an answer to my question

Is there no answer to your question in this list, please try out these options:

  • General FAQs
    For general questions see the Pre-Sale Questions & Answers.
  • Tooltips
    All settings/options for the installed extensions have tooltips that explain what that setting is for. That should give you enough information to know how to use it.
  • Google
    Google is your friend! If you have some problem, get an error, have a question, try out Google. It usually gives you enough feedback to find an answer.
  • Support Forum
    For more specific questions or feedback, please use the Support Forum.
    For extension support you will need a valid subscription.
    For Bug Reports and Pre-Sale questions you do not need a subscription.